namespace Tinkerforge
{
    public static class EVoltage
    {
        public static (char Option, int Min, int Max) GetVoltageCallbackThreshold(this BrickletVoltage voltage)
        {
            voltage.GetVoltageCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletVoltage voltage)
        {
            voltage.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
